Remove compat checks for psutil 1.x

We're depending on much newer psutil (3.x at least), so the 1.x
code path doesn't get executed anymore.

Change-Id: I335ebc0e8e49f20be7d05c968f0ddc79e5307820
changes/90/488990/2
Dirk Mueller 6 years ago
parent 9b1168ac71
commit 3a15d1a710

@ -150,7 +150,7 @@ test execution.
::
psutil>=1.1.1,<2.0.0
psutil>=3.2.2 # BSD
psycopg2
PyMySQL>=0.6.2 # MIT License

@ -110,10 +110,7 @@ class TestNeutronServer(base.BaseTestCase):
def safe_ppid(proc):
try:
if psutil.version_info[0] == 1:
return proc.ppid
else:
return proc.ppid()
return proc.ppid()
except psutil.NoSuchProcess:
return None

Loading…
Cancel
Save